<h2 *ngIf="userLogedIn == undefined">Log in or register to personalize your own Pokémon team!</h2>
<br />
<div *ngIf="userLogedIn != undefined">
  <h1>Pokémon trainer: {{ userLogedIn!.firstname! }}</h1>
  <br /><br />
  <div class="row">
    <div class="col-4">
      <div class="card" style="width: 18rem">
        <img class="card-img-top"
          src="assets/images/person.png"
          alt="Card image cap" />
        <div class="card-body">
          <h5 class="card-title">{{ userLogedIn!.firstname! }}</h5>
          <p class="card-text">Badges: {{ userLogedIn!.badges }}</p>
          <a href="#" class="btn btn-primary">Go somewhere</a>
        </div>
      </div>
    </div>
    <div class="col col-6">
      <h2 class="container pokemon team title">Pokemon Team</h2>
      <div class="container pokemon team">
        <div class="row">
          <div *ngFor="let pokemon of pokemonTeam; let i = index">
            <div *ngIf="pokemonTeam.length > 0 ">
              <div *ngIf="pokemon">
                <div class="card" style="width: 9rem">
                  <img class="card-img-top" src="{{ pokemon.pokemonImageURL }}" alt="Card image cap" />
                  <div class="card-body">
                    <h5 class="card-title">{{ pokemon.name }}</h5>
                    <p class="card-text"></p>
                  </div>
                  <div class="d-flex justify-content-between align-items-center">
                    <div class="btn-group">
                      <a style="width: 4.5rem" class="btn btn-sm btn-outline-primary"
                        routerLink="pokemon/{{ pokemon._id }}/edit">Details</a>
                      <a style="width: 4.5rem" (click)="DeletePokemonFromTeam(pokemon)" type="button"
                        class="btn btn-sm btn-outline-danger">Delete</a>
                    </div>
                  </div>
                </div>
              </div>
              <div *ngIf="!pokemon">
                <div class="card" style="width: 9rem">
                  <img class="card-img-top"
                    src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Pok%C3%A9_Ball_icon.svg/640px-Pok%C3%A9_Ball_icon.svg.png"
                    alt="Card image cap" />
                  <div class="card-body">
                    <h5 class="card-title">Add another to your team!</h5>
                    <p class="card-text"></p>
                    <a type="button" routerLink="/pokedex" class="btn btn-success">Add</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>